%define __strip %{_mingw32_strip}
%define __objdump %{_mingw32_objdump}
%define _use_internal_dependency_generator 0
%define __find_requires %{_mingw32_findrequires}
%define __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}


Name:           mingw32-db4
Version:        4.7.25
Release:        4.7ng
Summary:        MinGW Windows port of the Berkeley DB Database Library

License:        BSD
URL:            http://www.oracle.com/technology/products/berkeley-db/db/index.html
Source0:        db-%{version}.tar.gz
Source1000:     %{name}-%{version}-rpmlintrc
Patch0:         db-4.7.25-install_utilities.patch
Group:          Development/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
#!BuildIgnore: post-build-checks  

BuildRequires:  mingw32-filesystem >= 23
BuildRequires:  mingw32-gcc mingw32-gcc-c++
BuildRequires:  mingw32-binutils


%description
The Berkeley DB Database is a programmatic toolkit that provides
database support for applications.

This package contains the necessary runtime libraries.


%package utils
Summary:        MinGW Windows port of the Command Line tools for Managing Berkeley DB Databases
Group:          Development/Libraries
Requires:       %{name} >= %{version}

%description utils
The Berkeley DB Database is a programmatic toolkit that provides
database support for applications.

This package contains the command line tools for managing Berkeley DB

%{?_mingw32_debug_package}

%prep
%setup -q -n db-%{version}

%patch0 -p1 -b .install_utilities

%build
pushd dist
cp -a ../build_unix .
popd

pushd dist/build_unix

%{_mingw32_configure} \
        --enable-mingw --enable-cxx \
        --enable-compat185 \
        --enable-shared --disable-static
%{_mingw32_make} %{?_smp_mflags} || %{_mingw32_make}

popd

%install
rm -rf $RPM_BUILD_ROOT

pushd dist/build_unix

%{_mingw32_makeinstall}

popd

(cd $RPM_BUILD_ROOT%{_mingw32_libdir} && \
ln -s libdb-4.?.dll.a libdb.dll.a && \
ln -s libdb-4.?.dll.a libdb-4.dll.a && \
ln -s libdb_cxx-4.?.dll.a libdb_cxx.dll.a && \
ln -s libdb_cxx-4.?.dll.a libdb_cxx-4.dll.a)

rm -rf $RPM_BUILD_ROOT%{_mingw32_prefix}/docs

rm -rf $RPM_BUILD_ROOT%{_mingw32_prefix}/lib/libdb-4.7.la
rm -rf $RPM_BUILD_ROOT%{_mingw32_prefix}/lib/libdb_cxx-4.7.la


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_mingw32_bindir}/libdb-4.7.dll
%{_mingw32_bindir}/libdb_cxx-4.7.dll
%{_mingw32_libdir}/libdb-4.7.dll.a
%{_mingw32_libdir}/libdb-4.dll.a
%{_mingw32_libdir}/libdb.dll.a
%{_mingw32_libdir}/libdb_cxx-4.7.dll.a
%{_mingw32_libdir}/libdb_cxx-4.dll.a
%{_mingw32_libdir}/libdb_cxx.dll.a
%{_mingw32_includedir}/db*.h


%files utils
%defattr(-,root,root)
%{_mingw32_bindir}/db_*.exe


%changelog
* Sat Mar 13 2010 Anders Waananen <waananen@nbi.dk> - 4.7.25-4.7ng
- Add debug macros

